
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined CLIPBOARD_H
#define CLIPBOARD_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// See: MFC Tips for Copying, Pasting, Blting, and Creating Owner-Drawn List Boxes
//		for copy/paste using a CSharedFile.

class CClipboard
{
	public:
	// Construction
	CClipboard();
	~CClipboard();

	// Set
	BOOL SetClipboardMediaItem(CMediaItem item);

	// Get
	BOOL GetClipboardMediaItem(CMediaItem & item);

	// CB MediaItem data available.
	BOOL DataAvailable();

	// Helpers.
	CString MediaItemToCbString(CMediaItem & item);
	BOOL CbStringToMediaItem(CString str, CMediaItem & item);
};

#endif //CLIPBOARD_H